declare const _default: {
    rules: {
        "require-strict-mode": RuleModule<"strict" | "noUncheckedIndexedAccess" | "useUnknownInCatchVariables" | "strictFunctionTypes" | "strictBindCallApply" | "strictNullChecks" | "strictPropertyInitialization", readonly []>;
        "no-unsafe-type-assertion": RuleModule<"errorStringGeneric", readonly []>;
        "no-unsafe-readonly-mutable-assignment": RuleModule<import("./rules/unsafe-assignment-rule").MessageId, readonly []>;
        "no-unsafe-mutable-readonly-assignment": RuleModule<import("./rules/unsafe-assignment-rule").MessageId, readonly []>;
        "no-unsafe-optional-property-assignment": RuleModule<import("./rules/unsafe-assignment-rule").MessageId, readonly []>;
    };
    configs: {
        all: {
            extends: string[];
            rules: {
                "total-functions/no-unsafe-type-assertion": string;
                "total-functions/no-unsafe-readonly-mutable-assignment": string;
                "total-functions/require-strict-mode": string;
            };
        };
        recommended: {
            extends: string[];
            rules: {
                "total-functions/no-unsafe-type-assertion": string;
                "total-functions/no-unsafe-readonly-mutable-assignment": string;
                "total-functions/require-strict-mode": string;
            };
        };
    };
};
export = _default;
